org.apache.ignite.internal.processors.rest.client.message

## Class GridClientResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientResponse

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientResponse
    extends GridClientAbstractMessage

Bean representing client operation result.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `STATUS_AUTH_FAILURE` Authentication failure.
`static int` `STATUS_FAILED` Command failed.
`static int` `STATUS_SECURITY_CHECK_FAILED` Operation security failure.
`static int` `STATUS_SUCCESS` Command succeeded.

### Constructor Summary

Constructors
Constructor and Description
`GridClientResponse()`

### Method Summary

Methods
`String` `errorMessage()`
`void` `errorMessage(String errorMsg)`
`void` `readExternal(ObjectInput in)`
`Object` `result()`
`void` `result(Object res)`
`int` `successStatus()`
`void` `successStatus(int successStatus)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STATUS_SUCCESS

    public static final int STATUS_SUCCESS

Command succeeded.

See Also:
  Constant Field Values

#### STATUS_FAILED

    public static final int STATUS_FAILED

Command failed.

See Also:
  Constant Field Values

#### STATUS_AUTH_FAILURE

    public static final int STATUS_AUTH_FAILURE

Authentication failure.

See Also:
  Constant Field Values

#### STATUS_SECURITY_CHECK_FAILED

    public static final int STATUS_SECURITY_CHECK_FAILED

Operation security failure.

See Also:
  Constant Field Values

### Constructor Detail

#### GridClientResponse

    public GridClientResponse()

### Method Detail

#### successStatus

    public int successStatus()

Returns:
  `True` if this request was successful.

#### successStatus

    public void successStatus(int successStatus)

Parameters:
  `successStatus` - Whether request was successful.

#### errorMessage

    public String errorMessage()

Returns:
  Error message, if any error occurred, or `null`.

#### errorMessage

    public void errorMessage(String errorMsg)

Parameters:
  `errorMsg` - Error message, if any error occurred.

#### result

    public Object result()

Returns:
  Request result.

#### result

    public void result(Object res)

Parameters:
  `res` - Request result.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016